import { TSubProduct } from "../types";
import Product from "./Product";

class Salt extends Product {
    constructor(data: TSubProduct) {
        super({
            name: "Salt", 
            storageLifeDays: Number.POSITIVE_INFINITY, 
            deliveryTimestamp: data.deliveryTimestamp, 
            storagePlace: data.storagePlace
        });
    };

    override isFresh(): boolean {
        return true;
    };
};

export default Salt;